<?php

namespace Modules\Stock\Rules;

use Modules\Stock\Helper\RulesHelper;

class Vrac extends BaseRules
{
    /**
     * @return bool
     */
    public function init(): bool
    {
        return RulesHelper::hasParametrageAccessRights($this->pdo);
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function diversForm(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function divers(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function imputationsForm(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function imputations(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function controleBudgetsForm(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function controleBudgets(): bool
    {
        return true;
    }
}
